#ifndef _ERRORLOG_H_
#define _ERRORLOG_H_

class ErrorLog {

private:
	enum { BLOCK_SIZE = 256 };

	char*    text;
	int      capacity;
	int      text_len;

	void     _append(const char *src, int len);

public:
	ErrorLog();
	~ErrorLog();

	unsigned int Len()     const { return text_len; }
	const char*  GetText() const { return text; }

	void Add(const char *msg, ...);
};

#endif  // _ERRORLOG_H_

